API changes for v2 API, April 3 to April 10
In the week of April 3 to April 10, 2026, the mittwald API introduced several enhancements to the /v2/app-installations and /v2/projects/{projectId}/app-installations endpoints by adding multiple required properties to the responses for improved clarity and usability.
Summary
-
The
GET /v2/app-installationsoperation has been updated to include several new required properties in the response with a200status:/items/appExternalVersion/items/appName/items/systemSoftware/items/externalVersion/items/systemSoftware/items/name/items/systemSoftware/items/updateAvailable/items/updateAvailable
-
The
GET /v2/app-installations/{appInstallationId}operation has been updated to include the following new required properties in the response with a200status:appExternalVersionappNamesystemSoftware/items/externalVersionsystemSoftware/items/namesystemSoftware/items/updateAvailableupdateAvailable
-
The
GET /v2/projects/{projectId}/app-installationsoperation has been updated to include several new required properties in the response with a200status:/items/appExternalVersion/items/appName/items/systemSoftware/items/externalVersion/items/systemSoftware/items/name/items/systemSoftware/items/updateAvailable/items/updateAvailable
Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.
Detailed changes
Changes in "List app installations that a user has access to"
-
added the required property '/items/appExternalVersion' to the response with the '200' status
-
added the required property '/items/appName' to the response with the '200' status
-
added the required property '/items/systemSoftware/items/externalVersion' to the response with the '200' status
-
added the required property '/items/systemSoftware/items/name' to the response with the '200' status
-
added the required property '/items/systemSoftware/items/updateAvailable' to the response with the '200' status
-
added the required property '/items/updateAvailable' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get an app installation"
-
added the required property 'appExternalVersion' to the response with the '200' status
-
added the required property 'appName' to the response with the '200' status
-
added the required property 'systemSoftware/items/externalVersion' to the response with the '200' status
-
added the required property 'systemSoftware/items/name' to the response with the '200' status
-
added the required property 'systemSoftware/items/updateAvailable' to the response with the '200' status
-
added the required property 'updateAvailable' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List app installations belonging to a Project"
-
added the required property '/items/appExternalVersion' to the response with the '200' status
-
added the required property '/items/appName' to the response with the '200' status
-
added the required property '/items/systemSoftware/items/externalVersion' to the response with the '200' status
-
added the required property '/items/systemSoftware/items/name' to the response with the '200' status
-
added the required property '/items/systemSoftware/items/updateAvailable' to the response with the '200' status
-
added the required property '/items/updateAvailable' to the response with the '200' status
For details, refer to the GET/ endpoint.
Client package releases
mittwald JavaScript SDK Release 4.343.0
The mittwald JavaScript SDK has been updated to version 4.343.0. This release includes the following feature:
- Updated the generated client to enhance functionality (commit 65629b9).
For more details, visit the release page.